> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goaura.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all listings

Returns a list of your listings. The listings are returned sorted by creation date when they were imported into Aura for the first time, with the most recent listings appearing first.

#### Parameters

<ParamField query="platform" type="enum">
  Only return listings for this platform. One of `amazon` or `walmart`.
</ParamField>

<ParamField query="channel" type="string">
  Only return listings for the channel specified by this channel ID.
</ParamField>

<ResponseField name="status" type="enum">
  Only return listings with the specified status. One of `active` or `inactive`.
</ResponseField>

<ParamField query="sku" type="string">
  Only return listings with this SKU.
</ParamField>

#### More parameters

<Expandable title="parameters" defaultOpen>
  <ParamField query="limit" type="integer">
    A limit on the number of objects to be returned. Limit can range between 1
    and 100, and the default is 10.
  </ParamField>

  <ParamField query="starting_after" type="string">
    A cursor for use in pagination. `starting_after` is an object ID that
    defines your place in the list. For instance, if you make a list request and
    receive 100 objects, ending with `obj_foo`, your subsequent call can include
    `starting_after=obj_foo` in order to fetch the next page of the list.
  </ParamField>

  <ParamField query="ending_before" type="string">
    A cursor for use in pagination. `ending_before` is an object ID that defines
    your place in the list. For instance, if you make a list request and receive
    100 objects, starting with `obj_bar`, your subsequent call can include
    `ending_before=obj_bar` in order to fetch the previous page of the list.
  </ParamField>
</Expandable>

<RequestExample>
  ```bash GET /listings theme={null}
    curl -G https://api.goaura.com/listings \
      -u "sk_2ubjfjUcF0z6lcFio24TC1D9xUa:" \
      -d platform=amazon \
      -d status=active \
      -d limit=50
  ```
</RequestExample>

#### Returns

A dictionary with a `data` property that contains an array of up to `limit` listings, starting after listing `starting_after`. Each entry in the array is a separate listing object. If no more listings are available, the resulting array will be empty. If you provide a non-existent channel ID, this call returns [an error](/api-reference/errors).

<ResponseExample>
  ```json RESPONSE theme={null}
  {
    "object": "list",
    "has_more": false,
    "data": [
      {
        "id": "0195b630-49ab-77ca-a2e8-5a7f3235f946",
        "object": "listing",
        "platform": "amazon",
        "channel": "f70a0f0d-48e1-4466-8f4c-32747b395de9",
        "status": "active",
        "sku": "SAMPLE-SKU",
        "currency": "usd",
        "current_price": 7405,
        "current_shipping": 0,
        "cost": 2200,
        "minimum_price": 7299,
        "maximum_price": 7999,
        "strategy": "c38970b9-bbf4-4288-a18b-b8bd1de4fbb7",
        "repricing": true,
        "manual_price": null,
        "created": 1662738023
      }
    ]
  }
  ```
</ResponseExample>
